from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class SelectionType(IntEnum):
    NONE = auto()
    SINGLE = auto()
    MULTI = auto()
    RANGE = auto()
